<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Devcamp 123 || List Đơn Hàng</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Danh Sách Đơn Hàng</a>
      </li>
    </ul>

  
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Devcamp 123</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">HuongTTK</a>
        </div>
      </div>

     

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link  active">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Danh sách Đơn Hàng</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index2.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v2</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index3.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v3</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Danh sách Đơn Hàng</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Danh sách Đơn Hàng</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <div class="container">
        <div class="text-center mt-2 mb-2">
          <h2>Danh Sách Đơn Hàng</h2>
        </div>
        <div class="jumbotron container">
          <div class="row form-group">
            <div class="col-sm-5">
             <div class="row form-group">
                <div class="col-sm-4">
                    <label>Trạng thái Order</label>
                </div>
                <div class="col-sm-8">
                    <select id="select-order" class="form-control">
                        <option value="0">All</option>
                        <option value="open">open</option>
                        <option value="confirmed">confirmed</option>
                        <option value="cancel">cancel</option>
                    </select>
                </div>
             </div>
            </div>
            <div class="col-sm-5">
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label>Loại Pizza</label>
                    </div>
                    <div class="col-sm-8">
                        <select id="select-loai-pizza" class="form-control">
                            <option value="0">All</option>
                            <option value="hawaii">hawaii</option>
                            <option value="bacon">bacon</option>
                            <option value="seafood">seafood</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-sm-2">
              <button id="btn-tim-kiem" class="btn btn-success">Tìm kiếm</button>
            </div>
          </div>
      </div>
      
      <div class="container">
        <table class="table table-bordered table-striped table-hover" id="user-table">
          <thead>
            <tr>
              <th>Order ID</th>
              <th>Kích cỡ Combo</th>
              <th>Loại Pizza</th>
              <th>Nước uống</th>
              <th>Thành tiền</th>
              <th>họ và tên</th>
              <th>Số điện thoại</th>
              <th>Trạng thái</th>
              <th>Action</th>
            </tr>
          </thead>
        </table>
      </div>

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">Devcamp 123.io</a>.</strong> All rights reserved.
  </footer>

 
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<script>
  "use strict";
  $(document).ready(function(){
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      var gDataOrder = [];
      const gNAME_ARRAY_COL = ["orderId", "kichCo",  "loaiPizza",  "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "action"];
      const gCOLUMN_ORDER_ID = 0;
      const gCOLUMN_KICH_CO = 1;
      const gCOLUMN_LOAI_PIZZA = 2;
      const gCOLUMN_DRINK = 3;
      const gCOLUMN_THANH_TIEN = 4 ;
      const gCOLUMN_HO_TEN = 5;
      const gCOLUMN_DIEN_THOAI = 6;
      const gCOLUMN_TRANG_THAI = 7;
      const gCOLUMN_ACTION = 8;
      
   
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  onPageLoading();
  $("#btn-tim-kiem").on("click", function(){
      onBtnTimKiemClick();
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      // Hàm load trang
      function onPageLoading(){
          callAPIGetData();
          loadDataToTable();
      }

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      // hàm call Api get data từ server
      function callAPIGetData(){
            // lấy data từ server
            $.ajax({
              url:  "http://42.115.221.44:8080/devcamp-pizza365/orders",
              type: "GET",
              dataType: 'json',
              success: function(responseObject){
              //debugger;
              gDataOrder = responseObject;
              console.log( gDataOrder);
              displayResulttoTable(gDataOrder);
              },
              error: function(error){
              console.assert(error.responseText);
              }
          });
      };
      // Hàm load dữ liệu
      function loadDataToTable(){

          $("#user-table").DataTable( {
          // Khai báo các cột của datatable
          "columns" : [
              { "data" : gNAME_ARRAY_COL[gCOLUMN_ORDER_ID] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_KICH_CO] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_LOAI_PIZZA] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_DRINK] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_THANH_TIEN] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_HO_TEN] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_DIEN_THOAI] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_TRANG_THAI] },
              { "data" : gNAME_ARRAY_COL[gCOLUMN_ACTION] },
          ],
          // Ghi đè nội dung của cột action, chuyển thành button chi tiết
          "columnDefs": [ 
          {
              "targets": gCOLUMN_ACTION,
              "defaultContent": "<button class='info-user btn btn-info'>Chi tiết</button>"
          }]
          });
      }
      // hàm hiển thị  dữ liệu vào table
      function displayResulttoTable(paramUser){
          "use strict";
          var vTable = $('#user-table').DataTable();
          vTable.clear();
          vTable.rows.add(paramUser);
          vTable.draw();
      };
      // hàm lọc dữ liệu khi ấn nút tìm kiếm
      function onBtnTimKiemClick(paramFilterDataObj){
          "use strict";
          console.log("nút lọc đã được ấn");
          var vStatus = $("#select-order").val();
          var vPizza = $("#select-loai-pizza").val();
          var vDataFilter = gDataOrder.filter(function(paramOrder, item){
              return (vStatus === "0" || vStatus.toUpperCase() === paramOrder.trangThai.toUpperCase())
                      && (vPizza === "0" || vPizza.toUpperCase() === paramOrder.loaiPizza.toUpperCase())
          })
          // gọi hàm hiển thị kết quả lên bảng
          displayResulttoTable(vDataFilter);
          console.log(vDataFilter);
      }
  })
</script>
</body>
</html>
